
# 友途驾驶行为识别SDK使用说明

### 导入SDK
请将该SDK jar包导入项目内部
### 使用

1. 初始化SDK识别器  

   ```
   YTSettings settings = YTSettings.build();
   Recognizer recognizer = Recognizer.build(settings);
   ```

2. 传入参数并自动识别

   ```
   Behavior behavior = recognizer.recognition(time, lon, lat, speed);
   ```
   time:Long        标准UNIX时间戳

   lon:Double       longitude,GPS经度

   lat:Double        latitude,GPS纬度

   speed:Double  瞬时速度

3. 返回识别结果

   Behavior对象为识别结果，具有以下属性：

   * event:GPSEvent      该识别事件传入的GPS位置信息
   * tripInfo:TripInfo      行程信息，可获得当前最高速度、平均速度、距离等信息
   * mode:Mode             识别结果，Mode.NORMAL为正常驾驶，其他为异常

4. 识别完成，重置识别器

   ```
   recognizer.reset();
   ```



